Get all workspaces
Gets all workspaces. The response includes your workspaces and any workspaces that you have access to.
Note:
This endpoint’s response contains the visibility field. Visibility determines who can access the workspace:
personal— Only you can access the workspace.team— All team members can access the workspace.private— Only invited team members can access the workspace (Team and Enterprise plans only).public— Everyone can access the workspace.partner— Only invited team members and partners can access the workspace (Team and Enterprise plans only).
Authentication
Query parameters
Return only workspaces created by a specific user ID. For multiple users, pass this value as a comma-separated list of user IDs. The response only returns workspaces that you have access to.
Include the following information in the endpoint’s response:
mocks:deactivated— Include all deactivated mock servers in the response.scim— Return the SCIM user IDs of the workspace creator and who last modified it.
Filter results to return the workspace where the given element type is located. If you pass this query parameter, you must also pass the elementId query parameter.
Filter results to return the workspace where the given element’s ID is located. When filtering by collection, you must use the collection’s unique ID (userId-collection). If you pass this query parameter, you must also pass the elementType query parameter.
The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.
Response
The response’s meta information for paginated results. This object only returns if you pass the limit query parameter.